VeighNa量化社区
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 2
声望: 0

环境:windows VeighNa Station 数据管理模块
下载数据

报错:

Traceback (most recent call last):
File "C:\veighna_studio\lib\site-packages\hs_udata\utils\decorators.py", line 15, in wrap
return func(*args, kwargs)
File "C:\veighna_studio\lib\site-packages\hs_udata\utils\connection_pool.py", line 26, in send
return conn.send(method,
kwargs)
File "C:\veighna_studio\lib\site-packages\hs_udata\utils\connection.py", line 228, in send
format(method, kwargs, rsp["result_msg"]))
KeyError: 'result_msg'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\veighna_studio\lib\site-packages\vnpy_datamanager\ui\widget.py", line 609, in download
count = self.engine.download_bar_data(symbol, exchange, interval, start)
File "C:\veighna_studio\lib\site-packages\vnpy_datamanager\engine.py", line 213, in download_bar_data
data = self.datafeed.query_bar_history(req)
File "C:\veighna_studio\lib\site-packages\vnpy_udata\udata_datafeed.py", line 96, in query_bar_history
temp_data = self.query_equity_bar_history(req)
File "C:\veighna_studio\lib\site-packages\vnpy_udata\udata_datafeed.py", line 164, in query_equity_bar_history
df: DataFrame = stock_quote_minutes(
File "C:\veighna_studio\lib\site-packages\hs_udata\utils\decorators.py", line 54, in wrap
return func(*args, kwargs)
File "C:\veighna_studio\lib\site-packages\hs_udata\apis\stock\api.py", line 1269, in stock_quote_minutes
return get_data("stock_quote_minutes", url_path="udata/business/v1/app_services/market_info",
params)
File "C:\veighna_studio\lib\site-packages\hs_udata\apis\base\api.py", line 46, in get_data
return get_client().send(method, **kwargs)
File "C:\veighna_studio\lib\site-packages\hs_udata\utils\decorators.py", line 16, in wrap
except exp_name as ex: #返回func时异常
TypeError: catching classes that do not inherit from BaseException is not allowed

Member
avatar
加入于:
帖子: 3587
声望: 234

请问veighna_trader版本是?请问下载的是什么品种什么频率的数据呢?

Member
avatar
加入于:
帖子: 2
声望: 0

3.1.0的版本,下载的是上证 的1分钟数据。
问题我排查到了,这个接口限制了60天的时长,超过了会报错。

代码存在bug,
rsp["result_msg"]这个地方报的错,导致看不到真正的问题。
谢谢@Member的关注

Member
avatar
加入于:
帖子: 3587
声望: 234

遇到bug官方推荐去github开issue,论坛主要是用户交流

© 2015-2022 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号

沪公网安备 31011502017034号

【用户协议】
【隐私政策】
【免责条款】